python3-google-cloud-core-0.29.1-1.1.noarch.rpm


Advertisement

Description

python3-google-cloud-core - Google Cloud API client core library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-google-cloud-core-0.29.1-1.1.noarch.rpm
Package name python3-google-cloud-core
Package version 0.29.1
Package release 1.1
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/GoogleCloudPlatform/google-cloud-python
License Apache-2.0
Maintainer -
Download size 42.01 KB
Installed size 172.84 KB
Core Helpers for Google Cloud Python Client Library
This library is not meant to stand-alone. Instead it defines
common helpers (e.g. base ``Client`` classes) used by all of the
``google-cloud-*`` packages.

Alternatives

Package Version Architecture Repository
python3-google-cloud-core - - -

Requires

Name Value
python(abi) = 3.7
python3-google-api-core >= 1.0.0

Provides

Name Value
python3-google-cloud-core = 0.29.1-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-google-cloud-core-0.29.1-1.1.noarch.rpm
Source Package python-google-cloud-core-0.29.1-1.1.src.rpm

Install Howto

Install python3-google-cloud-core rpm package:

# zypper install python3-google-cloud-core

Files

Path
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7-nspkg.pth
/usr/lib/python3.7/site-packages/google/
/usr/lib/python3.7/site-packages/google/cloud/_helpers.py
/usr/lib/python3.7/site-packages/google/cloud/_http.py
/usr/lib/python3.7/site-packages/google/cloud/_testing.py
/usr/lib/python3.7/site-packages/google/cloud/client.py
/usr/lib/python3.7/site-packages/google/cloud/environment_vars.py
/usr/lib/python3.7/site-packages/google/cloud/exceptions.py
/usr/lib/python3.7/site-packages/google/cloud/obsolete.py
/usr/lib/python3.7/site-packages/google/cloud/operation.py
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/_helpers.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/_helpers.cpython-37.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/_http.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/_http.cpython-37.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/_testing.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/_testing.cpython-37.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/client.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/client.cpython-37.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/environment_vars.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/environment_vars.cpython-37.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/exceptions.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/exceptions.cpython-37.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/obsolete.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/obsolete.cpython-37.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/operation.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/google/cloud/__pycache__/operation.cpython-37.pyc
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7.egg-info/namespace_packages.txt
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7.egg-info/not-zip-safe
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7.egg-info/requires.txt
/usr/lib/python3.7/site-packages/google_cloud_core-0.29.1-py3.7.egg-info/top_level.txt
/usr/share/doc/packages/python3-google-cloud-core/README.rst
/usr/share/licenses/python3-google-cloud-core/LICENSE

Changelog

2019-02-18 - John Vandenberg <jayvdb@gmail.com>
- Activate tests
- Increased minimum google-api-core >= 1.0.0 per upstream
- Update to v0.29.1
* Document Python 2 deprecation
- from 0.29.0
* Breaking Changes
- Remove iam module from core. This module is now available as part of
google-api-core.
* Implementation Changes
- Fix _time_from_iso8601_time_naive for values with micros.
- Import stdlib ABCs from collections.abc rather than collections.
* Dependencies
- Bump minimum api_core version to 1.0.0.
* Internal / Testing Changes
- Blacken api_core and core.
- Add / fix badges for PyPI / versions.
- Use new Nox. (#6175)
- Use inplace installs for nox
- Fix bad trove classifier.
- Add Test runs for Python 3.7 and remove 3.4
2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2018-05-29 - tbechtold@suse.com
- Initial packaging (version 0.28.1)

See Also

Package Description
python3-google-cloud-kms-1.0.0-1.1.noarch.rpm Cloud Key Management Service (KMS) API API client library
python3-google-cloud-speech-1.0.0-1.1.noarch.rpm Google Cloud Speech API client library
python3-google-cloud-storage-1.14.0-1.1.noarch.rpm Google Cloud Storage API client library
python3-google-resumable-media-0.3.2-1.1.noarch.rpm Utilities for Google Media Downloads and Resumable Uploads
python3-googleapis-common-protos-1.5.9-1.1.noarch.rpm Common protobufs used in Google APIs
python3-googlemaps-3.0.2-1.1.noarch.rpm Python client library for Google Maps API Web Services
python3-gpg-1.13.0-1.1.i586.rpm Python 3 bindings for GPGME, a library for accessing GnuPG
python3-gpg-1.13.0-1.1.x86_64.rpm Python 3 bindings for GPGME, a library for accessing GnuPG
python3-gpgme-0.3-2.5.i586.rpm A Python module for working with OpenPGP messages
python3-gpgme-0.3-2.5.x86_64.rpm A Python module for working with OpenPGP messages
python3-gphoto2-2.0.0-1.1.i586.rpm Python interface to libgphoto2
python3-gphoto2-2.0.0-1.1.x86_64.rpm Python interface to libgphoto2
python3-gprof2dot-2017.9.19-3.2.noarch.rpm Script to generate a dot graph from the output of several profilers
python3-gpsd-3.18.1-1.4.i586.rpm Client libraries in C and Python3 for talking to a running gpsd or GPS
python3-gpsd-3.18.1-1.4.x86_64.rpm Client libraries in C and Python3 for talking to a running gpsd or GPS
Advertisement
Advertisement